Bug 1702231 - 'Create Autoscaler' should redirect to correct URL
Summary: 'Create Autoscaler' should redirect to correct URL
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.1.0
Assignee: Samuel Padgett
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-23 09:30 UTC by Yadan Pei
Modified: 2019-05-06 13:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-26 13:23:07 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Yadan Pei 2019-04-23 09:30:09 UTC
Description of problem:
When click 'Create Autoscaler', 404 page not found error is returned, we should use correct URL for resource creation

Version-Release number of selected component (if applicable):
cluster version: 4.1.0-0.nightly-2019-04-22-192604
console commit: https://github.com/openshift/console/commit/f4bc1d8ff16f27629d5ccc0e331718a7747ae74d

How reproducible:
Always

Steps to Reproduce:
1.Cluster admin logins to admin console
2.Visit Administration -> Cluster Settings -> click 'Create Autoscaler'


Actual results:
2. Return 404: Page Not Found
https://<admin_console_route>/k8s/cluster/autoscaling.openshift.io~v1alpha1~ClusterAutoscaler/~new

Expected results:
2. Should goes to https://<admin_console_route>/k8s/cluster/autoscaling.openshift.io~v1~ClusterAutoscaler/~new page to create AutoScaler

Additional info:

Comment 1 Samuel Padgett 2019-04-23 11:45:02 UTC
https://github.com/openshift/console/pull/1474

Comment 2 Yadan Pei 2019-04-24 05:56:20 UTC
PR not included in 4.1.0-0.nightly-2019-04-23-100608(console commit is io.openshift.build.commit.id=e6aaa6332862536d75b10177a9ef5dd4969180a9)

will check in new build

Comment 3 Yadan Pei 2019-04-25 09:23:16 UTC
4.1.0-0.nightly-2019-04-24-163534, console commit: c902814c36ad73ee581b922d3c5b436df5c7617d

Click 'Create Autoscaler' on Cluster Settings page now redirects to https://<console_route>/k8s/cluster/autoscaling.openshift.io~v1~ClusterAutoscaler/~new


Note You need to log in before you can comment on or make changes to this bug.